package speiger.src.coreengine.rendering.textures.simple;

import speiger.src.coreengine.assets.base.IAssetProvider;
import speiger.src.coreengine.rendering.textures.base.BaseTexture;
import speiger.src.coreengine.rendering.textures.base.ITexture;

public class WrappedTexture extends BaseTexture {
	public WrappedTexture(ITexture texture) {
		this(texture.id());
	}
	
	public WrappedTexture(int id) {
		super(id);
	}
	
	@Override
	public void load(IAssetProvider provider) {}
	@Override
	protected void track() {}
	@Override
	public void delete(boolean untrack) {}
	@Override
	public int width() { return 0; }
	@Override
	public int height() { return 0; }
}